Bug 2093167 - powerline-fonts shouldn't have a dependency to fontconfig
Summary: powerline-fonts shouldn't have a dependency to fontconfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: powerline
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Erhardt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-03 07:16 UTC by Akira TAGOH
Modified: 2022-06-14 02:12 UTC (History)
3 users (show)

Fixed In Version: powerline-2.8.3-4.fc36 powerline-2.8.3-4.el8 powerline-2.8.3-4.el9 powerline-2.8.3-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-14 01:38:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Akira TAGOH 2022-06-03 07:16:41 UTC
Description of problem:
The fonts itself doesn't require anything to fontconfig. also, requiring arch-dependent packages in noarch makes no sense at all. this dependency should be dropped. If you are worrying about the directory ownership, you should have fontpackages-filesystem instead.

Version-Release number of selected component (if applicable):
powerline-fonts-2.8.3-2.fc37

Comment 1 Fedora Update System 2022-06-03 20:54:11 UTC
FEDORA-2022-828074da9e has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-828074da9e

Comment 2 Fedora Update System 2022-06-03 21:06:29 UTC
FEDORA-2022-168b68b066 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-168b68b066

Comment 3 Fedora Update System 2022-06-03 21:14:02 UTC
FEDORA-EPEL-2022-0bb1d83364 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0bb1d83364

Comment 4 Fedora Update System 2022-06-03 21:31:13 UTC
FEDORA-EPEL-2022-f3c11e6a2c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-f3c11e6a2c

Comment 5 Fedora Update System 2022-06-04 01:15:50 UTC
FEDORA-2022-168b68b066 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-168b68b066`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-168b68b066

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-06-04 01:32:16 UTC
FEDORA-EPEL-2022-0bb1d83364 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0bb1d83364

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-06-04 01:38:01 UTC
FEDORA-EPEL-2022-f3c11e6a2c has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-f3c11e6a2c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-06-04 02:08:19 UTC
FEDORA-2022-828074da9e has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-828074da9e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-828074da9e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-06-06 02:40:30 UTC
FEDORA-2022-ee97e3ae34 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ee97e3ae34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee97e3ae34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-06-06 02:45:29 UTC
FEDORA-2022-7ee8552bc0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-7ee8552bc0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7ee8552bc0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-06-06 02:49:45 UTC
FEDORA-EPEL-2022-f8da879b63 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-f8da879b63

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-06-06 02:51:07 UTC
FEDORA-EPEL-2022-8873de81db has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-8873de81db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-06-14 01:38:41 UTC
FEDORA-2022-ee97e3ae34 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-06-14 02:08:06 UTC
FEDORA-EPEL-2022-8873de81db has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-06-14 02:08:39 UTC
FEDORA-EPEL-2022-f8da879b63 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-06-14 02:12:31 UTC
FEDORA-2022-7ee8552bc0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.